aboutsummaryrefslogtreecommitdiffstats
path: root/rc.d/rc.sysinit
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2001-01-23 20:58:24 +0000
committerBill Nottingham <notting@redhat.com>2001-01-23 20:58:24 +0000
commit2f549b3f161d2fd0ed74eac79baef61be44174ea (patch)
tree3e6c4e0c2ca524ee48ec7b82da57eb12c0fe537c /rc.d/rc.sysinit
parentcd3fbcd2543ef8bbf9cc983dd6899e914a98c947 (diff)
downloadinitscripts-2f549b3f161d2fd0ed74eac79baef61be44174ea.tar
initscripts-2f549b3f161d2fd0ed74eac79baef61be44174ea.tar.gz
initscripts-2f549b3f161d2fd0ed74eac79baef61be44174ea.tar.bz2
initscripts-2f549b3f161d2fd0ed74eac79baef61be44174ea.tar.xz
initscripts-2f549b3f161d2fd0ed74eac79baef61be44174ea.zip
fix utter brokenness. Must be more careful with sed
Diffstat (limited to 'rc.d/rc.sysinit')
-rwxr-xr-xrc.d/rc.sysinit14
1 files changed, 7 insertions, 7 deletions
diff --git a/rc.d/rc.sysinit b/rc.d/rc.sysinit
index 65d3d4fe..480f2cfb 100755
--- a/rc.d/rc.sysinit
+++ b/rc.d/rc.sysinit
@@ -126,7 +126,7 @@ if [ "`/sbin/consoletype`" == "vt" ]; then
echo -n $"Loading default keymap: "
fi
loadkeys $KEYMAP < /dev/tty0 > /dev/tty0 2>/dev/null && \
- action $"Loading default keymap" || action $"Loading default keymap"
+ success $"Loading default keymap" || failure $"Loading default keymap"
echo
fi
fi
@@ -211,16 +211,16 @@ if [ -z "$fastboot" -a "$ROOTFSTYPE" != "nfs" ]; then
rc=$?
if [ "$rc" = "0" ]; then
- action $"$STRING"
+ success "$STRING"
echo
elif [ "$rc" = "1" ]; then
- action $"$STRING"
+ passed $"$STRING"
echo
fi
# A return of 2 or higher means there were serious problems.
if [ $rc -gt 1 ]; then
- action $"$STRING"
+ failure "$STRING"
echo
echo
echo $"*** An error occurred during the file system check."
@@ -456,16 +456,16 @@ if [ -z "$fastboot" ]; then
initlog -c "fsck -T -R -A -a $fsckoptions"
rc=$?
if [ "$rc" = "0" ]; then
- action $"$STRING"
+ success "$STRING"
echo
elif [ "$rc" = "1" ]; then
- action $"$STRING"
+ passed "$STRING"
echo
fi
# A return of 2 or higher means there were serious problems.
if [ $rc -gt 1 ]; then
- action $"$STRING"
+ failure "$STRING"
echo
echo
echo $"*** An error occurred during the file system check."